%define maj  2
%define min  11
%define sov  %{maj}.%{min}

Summary:     iMatix Standard Function Library (SFL)
Name:        sfl
Version:     %{maj}.%{min}
Release:     3.pp
License:     See license.txt
Group:       Development/Libraries
Source0:     http://www.imatix.com/pub/%{name}/src/%{name}src21.tgz
Source1:     http://www.imatix.com/pub/%{name}/doc/%{name}doc21.tgz
URL:         http://www.imatix.com/html/%{name}/
Buildroot:   /var/tmp/%{name}-root
Vendor:      iMatix Corporation
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/ldconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel
ExclusiveOS: linux

%description
The SFL (Standard Function Library) from iMatix is a
portable function library for C/C++ programs. The SFL
is the result of many years' development, and is pro-
vided as Open Source software for the benefit of the
Internet community.

The SFL is written in ANSI C and has been ported to
MS-DOS, Windows, OS/2, Linux and other UNIX systems
(IBM AIX, SunOS, HP/UX, Solaris, NetBSD, FreeBSD, SCO
OpenServer, Digital UNIX) and Digital OpenVMS.

The SFL provides about 450 functions that cover these
areas:

    * Compression, encryption, and encoding
    * Datatype conversion and formatting
    * Dates, times, and calendars
    * Directory and environment access
    * User and process groups
    * Inverted bitmap indices
    * Symbol tables
    * Error message files
    * Configuration files
    * String manipulation and searching
    * File access
    * Internet socket access
    * Internet programming (MIME, CGI)
    * SMTP (e-mail) access
    * Server (batch) programming
    * Program tracing


%package devel
Summary:     The development files for the SFL
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-devel.pp

%description devel
The %{name}-devel package contains the development libraries
and header files for developing software with the SFL.


%prep
%setup -q -c -a 1


%build
export CCDEFINES="$RPM_OPT_FLAGS"
./build standard
cp lib%{name}.a lib%{name}.a.sav

# build shared library
rm -rf *.so* *.o
export CCDEFINES="$RPM_OPT_FLAGS -fPIC"
./build standard
gcc \
	-Wl,-soname,lib%{name}.so.%{maj} \
	-shared                          \
	-o lib%{name}.so.%{version}      \
	-Wl,-whole-archive lib%{name}.a  \
	-Wl,-no-whole-archive


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT/usr/lib
install -m 644 %{name}.h $RPM_BUILD_ROOT/usr/include
install -m 644 lib%{name}.a.sav $RPM_BUILD_ROOT/usr/lib/lib%{name}.a
install -m 755 lib%{name}.so.%{version} $RPM_BUILD_ROOT/usr/lib
ln -s lib%{name}.so.%{version} $RPM_BUILD_ROOT/usr/lib/lib%{name}.so


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc changes.txt license.txt 
/usr/lib/*.so.*

%files devel
%defattr(-,root,root)
%doc *.htm *.gif
/usr/include/*
/usr/lib/*.a
/usr/lib/*.so


%changelog
* Sat Aug 14 2004 peter.pramberger@member.fsf.org
- created

